<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <title>Primera practica en XSL</title>
    <meta name="author" content="Samuel Arteaga">
    <meta name="description" content="Practica">
    <link rel="stylesheet" href="portada.css">

    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
           // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }

        function displayResult() {
            xml = loadXMLDoc("Videojuegos.xml");
            xsl = loadXMLDoc("Videojuegos.xsl");
            // code for IE
            // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
            //     ex = xml.transformNode(xsl);
            //     document.getElementById("example").innerHTML = ex;
            // }
            // // code for Chrome, Firefox, Opera, etc.
            // else 
            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.getElementById("Practica").appendChild(resultDocument);
            }
        }
    </script>
</head>
<body onload="displayResult()">
    <header>
        <figure>
            <img src="src/logo.png" alt="logo">
        </figure>
    </header>
    <nav>
        <ul>
            <li>
                <a href="#">M04PLAY</a>
            </li>
            <li>
                <a href="">VIDEOJUEGOS</a>
            </li>
            <li>
                <a href="#">NOTICIAS</a>
            </li>
            <li>
                <a href="#">RANKING</a>
            </li>
            <li>
                <a href="#">ENQUESTA</a>
            </li>
            <li>
                <a href="#">CONTACTO</a>
            </li>
        </ul>
    </nav>
    <main>
        <section class="videojuegos">
            <h2>VIDEOJUEGOS</h2>
            <div class="div"  id="Practica">
                <!--<article>
                    <img src="src/juego1.jpg" alt="Garry's Mod Portada">
                    <h3>Garry's Mod</h3>
                    <p>Garry's Mod es un entorno que te permite jugar libremente con el motor
                        físico. Al contrario que en la mayoría de juego, no hay metas u objetivos
                        predeterminados.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>
                <article>
                    <img src="src/juego2.jpg" alt="The Binding Of Isaac Portada">
                    <h3>The Binding Of Isaac</h3>
                    <p>Cuando la madre de Isaac empieza a escuchar la voz de Dios exigiéndole
                        un sacrificio para demostrar su fe, Isaac huye hacia el sótano para
                        enfrentarse a montones de desquiciados enemigos, hermanos y hermanas
                        perdidos, sus miedos y, finalmente, a su madre.
                        The Binding of Isaac es un shooter de rol y acción generado
                        aleatoriamente con fuertes elementos de roguelike. Mientras siguen a
                        Isaac en su viaje, los jugadores encontrarán extraños tesoros que
                        cambiarán la forma de Isaac dotándole de habilidades sobrehumanas que le
                        permitirán enfrentarse a hordas de misteriosas criaturas, descubrir
                        secretos y abrirse paso luchando hasta un lugar seguro.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>
                <article>
                    <img src="src/juego3.png" alt="Gran Tutirmo Portada">
                    <h3>Gran Turismo 5</h3>
                    <p>Es la quinta entrega completa de la serie de videojuegos de carreras
                        Gran Turismo producida para la consola Sony PlayStation 3.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>
                <article>
                    <img src="src/juego4.jpg" alt="Guitar Hero: Metallica Portada">
                    <h3>Guitar Hero: Metallica</h3>
                    <p>Famoso juego musical, en el que podrás tocar las canciones del
                        famoso grupo Metallica. Usando un controlador propio, con forma de
                        guitarra/bajo.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>
                <article>
                    <img src="src/juego5.jpg" alt="Hollow Knight Portada">
                    <h3>Hollow Knight</h3>
                    <p>Hollow Knight es una aventura de acción clásica en 2D ambientada
                        en un vasto mundo interconectado. Explora cavernas tortuosas,
                        ciudades antiguas y páramos mortales. Combate contra criaturas
                        corrompidas, haz nuevas amistades con extraños insectos y resuelve
                        los antiguos misterios que yacen en el corazón del reino.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>
                <article>
                    <img src="src/juego6.jpg" alt="Assassin's Creed: Origins Portada">
                    <h3>Assassin's Creed: Origins</h3>
                    <p>Assassin's Creed: Origins es un videojuego de acción-aventura
                        y RPG de la saga Assassin's Creed cuya fecha de lanzamiento fue
                        el 27 de octubre de 2017.</p>
                    <div class="diva">
                        <a href="detalles.html">más info</a>
                    </div>
                </article>-->
            </div>
        </section>
        <section class="truco">
            <h2>TRUCOS</h2>
            <article class="tr1">
                <h4>Grand Theft Auto</h4>
                <p>Para aparecer barcos: 362-555-050</p>
                <p>Para aparecer salud: 482-555-050</p>
            </article>
            <article class="tr1">
                <h4>League of Legends</h4>
                <p>Hechizos de invocador: te explicamos qué son y cómo funciona cada uno.</p>
                <p>Subir de nivel rápido: descubre todas las formas de ganar puntos de experiencia (EXP).</p>
                <p>Recompensas de cuenta: aquí mostramos todos los premios que ganarás por subir tu nivel en LoL.</p>
            </article>
        </section>
        <section class="cajanot">
            <h2>NOTICIAS</h2>
            <div class="noticias">
                <article class="notart">
                    <h3>Los videojuegos como herramientas para el
                        conocimiento</h3>
                    <p>Desde que comenzamos nuestra andadura con GammeraNest y como
                        equipo creativo, hace ya diez años, asesorando a museos y otras
                        compañías sobre cómo usar la narrativa de los videojuegos a su
                        favor, siempre hemos pensado que el conocimiento debe ser
                        compartido con todos si queremos que este mundo sea mejor y que
                        la única forma de adquirirlo es trabajando duro y aprendiendo
                        para posteriormente poder transmitirlo.</p>
                    <img src="src/noticia1.jpg" alt="Noticia 1">
                    <div class="divnot">
                        <a href="#">Seguir la noticia</a>
                    </div>
                </article>
                <article class="notart">
                    <h3>Eventos y Pruebas de los Dioses en Assassin's Creed Origins</h3>
                    <p>Las Pruebas de los Dioses son una serie de combates especiales que tienen lugar contra varios dioses del antiguo Egipto. Estos combates están disponibles de forma temporal. Es decir, sólo podrás enfrentarte al dios en cuestión durante un tiempo determinado, que es una semana. Por el momento no se ha aclarado si los enemigos que ya han aparecido volverán a estar disponibles más adelante. Aclararemos esta información cuando Ubisoft se pronuncie al respecto.</p>
                    <img src="src/noticia2.jpg" alt="Noticia 2">
                    <div class="divnot">
                        <a href="noticia.html">Seguir la noticia</a>
                    </div>
                </article>
                <article class="notart">
                    <h3>Nuevas pistas sugieren que el nuevo juego de HideoKojima esDeath Stranding 2</h3>
                    <p>A pesar de que sus títulos suelen generar opiniones divididas,
                        Kojima Productions es una de las desarrolladoras que más dan de
                        qué hablar. Aunque la compañía aún no ha revelado oficialmente su
                        próximo proyecto, con crípticos mensajes su jefe, Hideo Kojima,
                        ha estado emocionando a los fans sobre una pronta revelación y
                        las sospechas sobre Death Stranding se hacen más grandes.</p>
                    <img src="src/noticia3.jpeg" alt="Noticia 3">
                    <div class="divnot">
                        <a href="#">Seguir la noticia</a>
                    </div>
                </article>
                <article class="notart">
                    <h3>4.000 dólares por doblar un juego millonario:'Bayonetta 3' es el último escándalo</h3>
                    <p>El próximo 28 de octubre PlatinumGames lanza 'Bayonetta 3', uno
                        de los juegos más esperados para la Nintendo Switch. El título es
                        prometedor, pero su lanzamiento se ha convertido en un verdadero
                        escándalo. Una actriz de doblaje ha puesto el grito en el cielo
                        por un tema siempre sensible: según ella ofrecen sueldos
                        miserables incluso en producciones que acaban generando millones
                        y millones de dólares.</p>
                    <img src="src/noticia4.jpeg" alt="Noticia 4">
                    <div class="divnot">
                        <a href="#">Seguir la noticia</a>
                    </div>
                </article>
            </div>
        </section>
        <section class="rank">
            <h2>RANKING</h2>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara1.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara2.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara3.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara4.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara1.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
            <article class="rankart">
                <div class="divimg">
                    <img src="src/cara2.jpg" class="imgredonda" alt="jugador">
                </div>
                <h3>Nombre</h3>
                <p>Puntuacion</p>
            </article>
        </section>
    </main>
    <footer>
        <div class="footer">
            <div class="fooimg">
                <img src="src/instagram.png" alt="Instagram">
                <img src="src/facebook.png" alt="Facebook">
                <img src="src/twitter.png" alt="Twitter">
                <img src="src/youtube.png" alt="youtube">
            </div>
            <div class="divad">
                <address>Carrer d'Aguablava 121</address>
                <address>08033 Barcelona</address>
            </div>
        </div>
    </footer>
</body>